Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.cpd
Class Match

    java.lang.Object
      net.sourceforge.pmd.cpd.Match

All Implemented Interfaces:
  java.lang.Comparable<Match>

    public class Match

extends java.lang.Object
implements java.lang.Comparable<Match>

Nested Class Summary
`static class` | `Match.MatchCode`

Field Summary
`static java.util.Comparator<Match>` | `LabelComparator`
`static java.util.Comparator<Match>` | `LengthComparator`
`static java.util.Comparator<Match>` | `LinesComparator`
`static java.util.Comparator<Match>` | `MatchesComparator`

Constructor Summary
`Match(int tokenCount, TokenEntry first, TokenEntry second)`

Method Summary
`int` | `compareTo(Match other)`
`int` | `getEndIndex()`
`TokenEntry` | `getFirstMark()`
`java.lang.String` | `getLabel()`
`int` | `getLineCount()`
`int` | `getMarkCount()`
`java.util.Set<TokenEntry>` | `getMarkSet()`
`Match.MatchCode` | `getMatchCode()`
`TokenEntry` | `getSecondMark()`
`java.lang.String` | `getSourceCodeSlice()`
`int` | `getTokenCount()`
`java.util.Iterator<TokenEntry>` | `iterator()`
`void` | `setLabel(java.lang.String aLabel)`
`void` | `setLineCount(int lineCount)`
`void` | `setMarkSet(java.util.Set<TokenEntry> markSet)`
`void` | `setSourceCodeSlice(java.lang.String code)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MatchesComparator

    public static final java.util.Comparator<Match> MatchesComparator

### LinesComparator

    public static final java.util.Comparator<Match> LinesComparator

### LabelComparator

    public static final java.util.Comparator<Match> LabelComparator

### LengthComparator

    public static final java.util.Comparator<Match> LengthComparator

Constructor Detail

### Match

    public Match(int tokenCount,
                 TokenEntry first,
                 TokenEntry second)

Method Detail

### getMarkCount

    public int getMarkCount()

### setLineCount

    public void setLineCount(int lineCount)

### getLineCount

    public int getLineCount()

### getTokenCount

    public int getTokenCount()

### getSourceCodeSlice

    public java.lang.String getSourceCodeSlice()

### setSourceCodeSlice

    public void setSourceCodeSlice(java.lang.String code)

### iterator

    public java.util.Iterator<TokenEntry> iterator()

### compareTo

    public int compareTo(Match other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Match>`

### getFirstMark

    public TokenEntry getFirstMark()

### getSecondMark

    public TokenEntry getSecondMark()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getMarkSet

    public java.util.Set<TokenEntry> getMarkSet()

### getMatchCode

    public Match.MatchCode getMatchCode()

### getEndIndex

    public int getEndIndex()

### setMarkSet

    public void setMarkSet(java.util.Set<TokenEntry> markSet)

### setLabel

    public void setLabel(java.lang.String aLabel)

### getLabel

    public java.lang.String getLabel()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.